Skip to main content
GET
Post Comments
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string
required

Reddit post URL

Example:

"https://www.reddit.com/r/AskReddit/comments/ablzuq/people_who_havent_pooped_in_2019_yet_why_are_you/"

cursor
string

Cursor to get more comments, or replies.

Example:

"ed1lvsa,ed3fnpq,ed25l2w"

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • data.post.id: Short Reddit ID of the post
  • data.post.title: Post title text
  • data.post.author: Reddit username of the original poster
  • data.post.score: Net upvote score of the post
  • data.post.num_comments: Total comment count
  • data.comments[n].id: Short ID of the comment
  • data.comments[n].author: Username of the commenter
  • data.comments[n].body: Plain text body of the comment
  • data.comments[n].score: Net upvote score of the comment
  • data.comments[n].replies: Nested reply tree with items and more.cursor for pagination
  • data.more.cursor: Comma-separated cursor IDs — pass as cursor param to load more top-level comments